<?php
/**
 * @package spd2017
 */
?>


<?php // Styling Tip! 

// Want to wrap for example the post content in blog listings with a thin outline in Bootstrap style?
// Just add the class "panel" to the article tag here that starts below. 
// Simply replace post_class() with post_class('panel') and check your site!   
// Remember to do this for all content templates you want to have this, 
// for example content-single.php for the post single view. ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                
	<header class="page-header">

		<h1 class="page-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
		<?php
		$editlink = get_edit_post_link();
		if ($editlink) { 
                    echo '<div class="edit-button-div"><a class="btn btn-default btn-sm" href="' .$editlink. '" role="button"><span class="edit-link"><i class="fa fa-edit"></i> ' .__( 'Edit', 'spd2017' ). '</a></div>';
                }
		?>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php spd2017_posted_on(); ?>
		</div><!-- .entry-meta -->
                
                
		<?php endif; ?>
	</header><!-- .entry-header -->
        <?php if ( has_post_thumbnail() ) { the_post_thumbnail('postthumb', array('class' => '', 'linked' => 'true') ); }   ?>

	<?php if ( is_search() || is_archive() ) : // Only display Excerpts for Search and Archive Pages ?>
	<div class="entry-summary">
	<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>
	<div class="entry-content clearfix">

		<?php
        		the_content( __( 'Continue reading', 'spd2017' ).' <i class="fa fa-angle-double-right"></i>' );
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'spd2017' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
	<footer class="entry-meta">
		<p class="comments-link"><i class="fa fa-comment"></i> <?php comments_popup_link( __( 'Leave a comment', 'spd2017' ), __( '1 Comment', 'spd2017' ), __( '% Comments', 'spd2017' ) ); ?></p>
	</footer>
	<?php endif; ?>
            
</article><!-- #post-## -->
