<?php
/**
 * The template for displaying featured starting pages.
 *
 * Useful for having a welcome page having up to three stickies
 * and six article teasers at the end.
 *
 * @package spd2017
 * Template Name: Seite mit Artikelanrissen
 * 
 * INFO: Now this really had earned some rework since 2014!
 * 
 */

    // preprend original layout
    get_header();
    
    // include original article if applicable
    while ( have_posts() ) {
        the_post(); 
        get_template_part( 'content', 'page' );

        // If comments are open or we have at least one comment, load up the comment template
        if ( comments_open() || '0' != get_comments_number() ) {
            comments_template();
        }
    }
    

    // now for the stickies 
    $sticky = get_option('sticky_posts');
    rsort($sticky);
    $sticky = array_slice($sticky, 0, 3 );

    // we have to condition this because post__in => Array() makes WP ignore the whole parameter, hurray!
    if (count($sticky)>0) {
        $query = new WP_Query( array( 'post__in' => $sticky, 'ignore_sticky_posts' => true ) );
        
        while ( $query->have_posts() ) {
            $query->the_post();
            $thumbnail = get_the_post_thumbnail(null,'_articlefullwidth');
            if ($thumbnail) {
                $thumbnail = '<a href="'.get_the_permalink().'">'.$thumbnail.'</a>';
            }
            $stickyblock .='<div class="featurearticle-stickyposts"><h2><a href="'.get_the_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></h2>'.$thumbnail.get_the_excerpt().'</div>';
        }
        wp_reset_postdata();
    }

    // now for the not so stickies
    $query = new WP_Query( array( 'post__not_in' => $sticky, 'ignore_sticky_posts' => true, 'posts_per_page' => 6 ) );
    $cnt = 0;    
    while ( $query->have_posts() ) {
    	$query->the_post();
        $thumbnail = get_the_post_thumbnail(null,'_articlehalfwidth');
        if ($thumbnail) {
            $thumbnail = '<a href="'.get_the_permalink().'">'.$thumbnail.'</a>';
        }        
        $latestblock .='<div class="col-sm-12 col-md-6 featurearticle-posts"><h2><a href="'.get_the_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></h2>'.$thumbnail.get_the_excerpt().'</div>';
        $cnt++;
        if ($cnt % 2 == 0) {
            $latestblock .='<div class="clearfix visible-md"></div>';
        }
        
    }
    wp_reset_postdata();

    // anything to show about?
    if ($stickyblock || $latestblock) {
        echo '<div class="featurearticle-wrapper"><h1 class="featurearticle-heading">'. __('Newest posts','spd2017').'</h1>';
        echo $stickyblock;
        // delimiters got to delimiter something
        if ($stickyblock && $latestblock) { 
            echo '<hr>';             
        }
        if ($latestblock) {
            echo '<div class="row">'.$latestblock.'</div>'; 
        }
        echo '</div>';
    }
                
    // finalize layout
    get_sidebar();
    get_footer(); 
?>
