<?php 

/**
 * Integriertes Widget Claim mit Link (Fork von "Mitgliederwerbung")
 *
 * @package spd2017
 */


class bySPDClaimedLinkWidget extends WP_Widget {

        function __construct() 
	{
		$widget_ops = array('classname' => 'bySPDClaimedLinkWidget', 'description' => 'Zweizeiliger Claim mit Link');
		$this->WP_Widget('bySPDClaimedLinkWidget', 'BayernSPD - Claim', $widget_ops);
        }

        function widget($args, $instance) 
	{
                extract( $args, EXTR_SKIP );
		echo $before_widget;
		echo '<a href="'.attribute_escape($instance['url']).'"><div>'.
		     '<h3>'.attribute_escape($instance['claim1']).'</h3>'.
		     '<p>'.attribute_escape($instance['claim2']).'</p>'.
		     '</div></a>';
		echo $after_widget;
        }

        function form( $instance ) 
	{
		$instance = wp_parse_args( (array) $instance, array( 
		  'url' => 'http://',
		  'claim1' => 'Hauptclaim!',
		  'claim2' => '... optionale Unterschrift'
		) );
		$url = $instance['url'];
		$claim1 = $instance['claim1'];
		$claim2 = $instance['claim2'];
?>
		<p><label for="<?php echo $this->get_field_id('url'); ?>">Zielseite der Weiterleitung:
		<input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" type="text" value="<?php echo attribute_escape($url); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('claim1'); ?>">Claim, obere Zeile:
		<input class="widefat" id="<?php echo $this->get_field_id('claim1'); ?>" name="<?php echo $this->get_field_name('claim1'); ?>" type="text" value="<?php echo attribute_escape($claim1); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('claim2'); ?>">Claim, untere Zeile:
		<input class="widefat" id="<?php echo $this->get_field_id('claim2'); ?>" name="<?php echo $this->get_field_name('claim2'); ?>" type="text" value="<?php echo attribute_escape($claim2); ?>" /></label></p>
<?php
        }

 
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['url'] = $new_instance['url'];
		$instance['claim1'] = $new_instance['claim1'];
		$instance['claim2'] = $new_instance['claim2'];
		return $instance;
	}


}


add_action( 'widgets_init', create_function('', 'return register_widget("bySPDClaimedLinkWidget");') );

?>